[paludis-user] Paludis vs multilib

denisgolovan denisgolovan at yandex.ru
Sun May 17 08:50:23 UTC 2015


Hi all

I am currently migrating to multilib (x32 support compilation) under Gentoo and sometimes it causes troubles.
I was able to uninstall app-emulation/emul-linux-x86* packages, but obviously not all required existing packages are rebuilt with ABI_X86_32.

Now I am trying to install wine (cave resolve --lazy wine) and get a suggestion to return app-emulation/emul-linux-x86-baselibs back.

n   app-emulation/emul-linux-x86-baselibs:0::gentoo 20140508-r12 to ::installed
    "Provides precompiled 32bit libraries"
    development kerberos ldap pam ABI_X86: -32 build_options: -dwarf_compress -optional_tests -trace work=tidyup
    Reasons: app-emulation/wine-1.7.41:0::gentoo

Now I understand that it is caused by some dependency still not being recompiled with ABI_X86_32, but which one?
Wine has a dozen of them. 

It would be really helpful to get more detailed reason instead of "Reasons: app-emulation/wine-1.7.41:0::gentoo".
Say "Reasons: app-emulation/wine-1.7.41:0::gentoo jpeg(+32 required)".
I think you'll get an idea.

Maybe it is a simple change to resolver?

-- 
Regards,
Denis Golovan



More information about the paludis-user mailing list